# Uses of Enum Class
org.apache.sysds.lops.PickByCount.OperationTypes

Packages that use PickByCount.OperationTypes
Package
Description
org.apache.sysds.lops
org.apache.sysds.runtime.instructions.cp
org.apache.sysds.runtime.instructions.fed
org.apache.sysds.runtime.instructions.spark

## Uses of PickByCount.OperationTypes in org.apache.sysds.lops

Methods in org.apache.sysds.lops that return PickByCount.OperationTypes
Modifier and Type
Method
Description
`PickByCount.OperationTypes`
PickByCount.`getOperationType()`
`static PickByCount.OperationTypes`
PickByCount.OperationTypes.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PickByCount.OperationTypes[]`
PickByCount.OperationTypes.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.lops with parameters of type PickByCount.OperationTypes
Modifier
Constructor
Description
``
`PickByCount(Lop input1, Lop input2, Types.DataType dt, Types.ValueType vt, PickByCount.OperationTypes op, Types.ExecType et)`
``
`PickByCount(Lop input1, Lop input2, Types.DataType dt, Types.ValueType vt, PickByCount.OperationTypes op, Types.ExecType et, boolean inMemoryInput)`

## Uses of PickByCount.OperationTypes in org.apache.sysds.runtime.instructions.cp

Methods in org.apache.sysds.runtime.instructions.cp that return PickByCount.OperationTypes
Modifier and Type
Method
Description
`PickByCount.OperationTypes`
QuantilePickCPInstruction.`getOperationType()`

## Uses of PickByCount.OperationTypes in org.apache.sysds.runtime.instructions.fed

Constructors in org.apache.sysds.runtime.instructions.fed with parameters of type PickByCount.OperationTypes
Modifier
Constructor
Description
``
`QuantilePickFEDInstruction(Operator op, CPOperand in, CPOperand out, PickByCount.OperationTypes type, boolean inmem, String opcode, String istr)`
``
`QuantilePickFEDInstruction(Operator op, CPOperand in, CPOperand in2, CPOperand out, PickByCount.OperationTypes type, boolean inmem, String opcode, String istr)`
``
`QuantilePickFEDInstruction(Operator op, CPOperand in, CPOperand in2, CPOperand out, PickByCount.OperationTypes type, boolean inmem, String opcode, String istr, FEDInstruction.FederatedOutput fedOut)`

## Uses of PickByCount.OperationTypes in org.apache.sysds.runtime.instructions.spark

Methods in org.apache.sysds.runtime.instructions.spark that return PickByCount.OperationTypes
Modifier and Type
Method
Description
`PickByCount.OperationTypes`
QuantilePickSPInstruction.`getOperationType()`